package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.Markedtest;
import com.ruoyi.test.domain.StudentClass;

import java.util.List;

public interface IMarkedtestService {

    int addmarkedtest(String sender,Long testid);

    IPage<Markedtest> selectmarkedtest(int pagenum);

    IPage<Markedtest> selectmarkedtestBySubject(int pagenum,String subject);

    IPage<Markedtest> selectmarkedtest(int pagenum,List<StudentClass> list1);

    IPage<Markedtest> selectmarkedtestBySubject(int pagenum,List<StudentClass> list,String subject);

    Markedtest selectmarkedtestBySenderAndTestid(String sender,Long testid);

}
